object ETL {
    fun transform(inpMap: Map<Int, List<Char>>) : Map<Char, Int> {
        var outMap: MutableMap<Char, Int> = emptyMap<Char, Int>().toMutableMap()
        for ((value, chars) in inpMap){
            chars.map { outMap.put(it.toLowerCase(), value)}
        }
        return outMap
    }
}